/**
  *  \file client/widgets/simalliancegrid.h
  *
  *  (c) 2001-2021 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_SIMALLIANCEGRID_H
#define PCC_V2_CLIENT_WIDGETS_SIMALLIANCEGRID_H

#include "ui/ui.h"
#include "ui/widgets/timer.h"
#include "game/playerset.h"

class WSimAllianceGrid : public UIWidget {
    UITimer cursor_tick;

    GPlayerBitMatrix m_values;
    int m_color;
    int m_x, m_y;

 public:
    WSimAllianceGrid();
    ~WSimAllianceGrid();

    void getLayoutInfo(LayoutInfo& info);
    void drawContent(GfxCanvas& can);
    bool handleEvent(const UIEvent& e, bool second_pass);
    void onStateChange(int state, bool enable);

    void setCursor(int player, int ally);
    void moveCursor(int dp, int dt);

    void setContent(const GPlayerBitMatrix& mtx, int color);

    Signal0 sig_pos_changed;
    Signal2<int,int> sig_click;
};

#endif
