/**
  *  \file ui/widgets/fixedspacer.cc
  *  \brief UIFixedSpacer widget
  *
  *  (c) 2001-2021 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */

#include "ui/widgets/fixedspacer.h"

UIFixedSpacer::UIFixedSpacer(GfxPoint size) throw()
    : size(size)
{ }

UIFixedSpacer::~UIFixedSpacer()
{ }

void
UIFixedSpacer::drawContent(GfxCanvas& /*can*/)
{ }

void
UIFixedSpacer::getLayoutInfo(LayoutInfo& info)
{
    info.pref_size = info.min_size = size;
    info.flags = 0;
}
